Problem installing python-dev.

Questions about applications and software
Forum rules
Before you post please read this

Problem installing python-dev.

Postby Alucard-sama on Wed Aug 01, 2007 11:46 pm

Whenever I try to install python-dev this is what I get:
Image
Anybody know how to fix this?
Image

Image
User avatar
Alucard-sama
Level 1
Level 1
 
Posts: 40
Joined: Sun Jul 15, 2007 11:51 pm

Linux Mint is funded by ads and donations.
 

Postby Boo on Thu Aug 02, 2007 12:18 am

looks like dependancy hell.

check if python is installed and what version.

check your /etc/apt/sources.list
if you have too many repos or them in a bad order it could be getting the "wrong" python-dev package that wants the "rc" of python and not the real current or real one.

post some more info if my ramblings make no sense.
ie post sources.list and python info.

you could try installing/updating python first and then install python-dev.

:D
Image
Now where was i going? Oh yes, crazy!
User avatar
Boo
Level 8
Level 8
 
Posts: 2364
Joined: Mon Mar 26, 2007 7:48 am

Postby Alucard-sama on Thu Aug 02, 2007 12:36 am

Python's definetly installed and fully updated.

Here's my sources.list:
## UBUNTU REPOSITORIES
## -------------------
##
## Feisty (Ubuntu 7.04)
deb http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
##
## Proposed Updates
deb http://archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse
##
## Bug Fixes
deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
##
## Security Updates
deb http://security.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
##
## Backports
deb http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

## LINUX MINT REPOSITORIES
## -----------------------
##
## Cassandra (Linux Mint 3.0)
deb http://www.linuxmint.com/repository/ cassandra/
##
## Romeo (Linux Mint Unstable)
## deb http://www.linuxmint.com/repository romeo/

## OTHER REPOSITORIES
## ------------------
##
## Canonical (RealPlayer10, Opera, DesktopSecure etc...)
deb http://archive.canonical.com/ubuntu/ feisty-commercial main
##
## Medibuntu (Codecs and extra applications)
deb http://packages.medibuntu.org/ feisty free non-free

## ADDED BY MINTINSTALL
## --------------------
deb http://www.uv.es/cuan/repos/ feisty all
Image

Image
User avatar
Alucard-sama
Level 1
Level 1
 
Posts: 40
Joined: Sun Jul 15, 2007 11:51 pm

Postby Boo on Thu Aug 02, 2007 2:04 am

I would try commenting out:
Proposed Updates
Backports
the last one

and try to install python-dev again.

:D
Image
Now where was i going? Oh yes, crazy!
User avatar
Boo
Level 8
Level 8
 
Posts: 2364
Joined: Mon Mar 26, 2007 7:48 am

Postby Alucard-sama on Thu Aug 02, 2007 2:49 am

Nope still having same problem :(
Image

Image
User avatar
Alucard-sama
Level 1
Level 1
 
Posts: 40
Joined: Sun Jul 15, 2007 11:51 pm


Return to Software & Applications

Who is online

Users browsing this forum: ArkadioG, colyn and 15 guests